Skip to main content
GET
/
v1
/
gas-prices
Get list of all available gas prices
curl --request GET \
  --url https://api.zerion.io/v1/gas-prices/ \
  --header 'Authorization: Basic <encoded-value>'
{
  "data": [
    {
      "type": "gas-prices",
      "id": "gas-polygon-classic",
      "attributes": {
        "updated_at": "2023-02-28T19:24:39.000Z",
        "gas_type": "classic",
        "info": {
          "slow": 48000000000,
          "standard": 48000000000,
          "fast": 51000000000,
          "rapid": null
        }
      },
      "relationships": {
        "chain": {
          "links": {
            "related": "https://api.zerion.io/v1/chains/polygon"
          },
          "data": {
            "type": "chains",
            "id": "polygon"
          }
        }
      }
    }
  ],
  "links": {
    "self": "https://api.zerion.io/v1/gas-prices"
  }
}

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Query Parameters

filter[chain_ids]
string[]

Return only gas prices from specified chains (comma-separated list). You can find available chain ids in chain endpoints.

filter[gas_types]
enum<string>[]

Return only gas prices with specified gas-type (comma-separated list).

Format of the gas.

Available options:
classic,
eip1559,
optimistic

Response

List of gas prices

data
object[]